# Uses of Interface
javax.swing.table.TableColumnModel

Packages that use TableColumnModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of TableColumnModel in javax.swing

Fields in javax.swing declared as TableColumnModel
Modifier and Type
Field
Description
`protected TableColumnModel`
JTable.`columnModel`
The `TableColumnModel` of the table.
Methods in javax.swing that return TableColumnModel
Modifier and Type
Method
Description
`protected TableColumnModel`
JTable.`createDefaultColumnModel()`
Returns the default column model object, which is a `DefaultTableColumnModel`.
`TableColumnModel`
JTable.`getColumnModel()`
Returns the `TableColumnModel` that contains all column information of this table.
Methods in javax.swing with parameters of type TableColumnModel
Modifier and Type
Method
Description
`void`
JTable.`setColumnModel​(TableColumnModel columnModel)`
Sets the column model for this table to `columnModel` and registers for listener notifications from the new column model.
Constructors in javax.swing with parameters of type TableColumnModel
Modifier
Constructor
Description
``
`JTable​(TableModel dm, TableColumnModel cm)`
Constructs a `JTable` that is initialized with `dm` as the data model, `cm` as the column model, and a default selection model.
``
`JTable​(TableModel dm, TableColumnModel cm, ListSelectionModel sm)`
Constructs a `JTable` that is initialized with `dm` as the data model, `cm` as the column model, and `sm` as the selection model.

## Uses of TableColumnModel in javax.swing.event

Constructors in javax.swing.event with parameters of type TableColumnModel
Modifier
Constructor
Description
``
`TableColumnModelEvent​(TableColumnModel source, int from, int to)`
Constructs a `TableColumnModelEvent` object.

## Uses of TableColumnModel in javax.swing.table

Classes in javax.swing.table that implement TableColumnModel
Modifier and Type
Class
Description
`class`
`DefaultTableColumnModel`
The standard column-handler for a `JTable`.
Fields in javax.swing.table declared as TableColumnModel
Modifier and Type
Field
Description
`protected TableColumnModel`
JTableHeader.`columnModel`
The `TableColumnModel` of the table header.
Methods in javax.swing.table that return TableColumnModel
Modifier and Type
Method
Description
`protected TableColumnModel`
JTableHeader.`createDefaultColumnModel()`
Returns the default column model object which is a `DefaultTableColumnModel`.
`TableColumnModel`
JTableHeader.`getColumnModel()`
Returns the `TableColumnModel` that contains all column information of this table header.
Methods in javax.swing.table with parameters of type TableColumnModel
Modifier and Type
Method
Description
`void`
JTableHeader.`setColumnModel​(TableColumnModel columnModel)`
Sets the column model for this table to `newModel` and registers for listener notifications from the new column model.
Constructors in javax.swing.table with parameters of type TableColumnModel
Modifier
Constructor
Description
``
`JTableHeader​(TableColumnModel cm)`
Constructs a `JTableHeader` which is initialized with `cm` as the column model.